Page MenuHomePhabricator

Can't reload a page by clicking article tab after editing in VE
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open any page.
  2. Click the "Article" (or whatever namespace you're in) tab, or the "Read" tab and observe that the page reloads.
  3. Click "Edit".
  4. Either edit and save or just cancel the edit.
  5. Repeat step 2.

Expected: The page should reload (especially useful on talk pages, when you want to see whether you got an answer already).
Actual: Nothing happens.

Event Timeline

Schnark created this task.Jun 15 2018, 8:39 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 15 2018, 8:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DLynch claimed this task.Jun 18 2018, 3:48 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 440907 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: clean up tab click handlers on teardown

https://gerrit.wikimedia.org/r/440907

Change 440907 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: view click handler should only run for active target

https://gerrit.wikimedia.org/r/440907

Deskana closed this task as Resolved.Jun 25 2018, 2:36 PM
Deskana triaged this task as Normal priority.
Vvjjkkii renamed this task from Can't reload a page by clicking article tab after editing in VE to quaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: DLynch; removed: gerritbot, Aklapper.
CommunityTechBot assigned this task to DLynch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from quaaaaaaaa to Can't reload a page by clicking article tab after editing in VE.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: DLynch.